boost::geometry::segment_view< Segment > Struct Template Reference

Makes a segment behave like a linestring or a range. More...

List of all members.

## Classes

class | copy_policy

## Public Types

typedef geometry::point_type < Segment >::type | point_type

## Public Member Functions

| segment_view (Segment const &segment)
| Constructor accepting the segment to adapt.

## Detailed Description

### template<typename Segment>
struct boost::geometry::segment_view< Segment >

Makes a segment behave like a linestring or a range.

Adapts a segment to the Boost.Range concept, enabling the user to iterate the two segment points. The segment_view is registered as a LineString Concept

Template Parameters:

  Segment | A type fulfilling the Segment Concept

## Member Typedef Documentation

template<typename Segment >

typedef geometry::point_type<Segment>::type boost::geometry::segment_view< Segment >::point_type

## Constructor & Destructor Documentation

template<typename Segment >

boost::geometry::segment_view< Segment >::segment_view | ( | Segment const & | segment | ) | `[explicit]`

Constructor accepting the segment to adapt.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK